<?php
namespace User\Fixture;



class Profile extends \Fixture\Service\Fixture
{

	static public function build()
	{
		parent::addStack('\User\Entity\Profile', array(
				'Profile.Jack' => array(
						'email'        => 'a@bid4cars.com.na',
						'password'     => '123',
						'firstName'    => 'Jack',
						'familyName'   => 'Trader',
						'idNumber'     => '7001012020009',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27821234567',
						'company'      => self::getReference('Company.B4CSeller'),
						'permissions'  => self::getReference('Permissions.DealerShipManagerNew')
				),
				'Profile.Bob' => array(
						'email'        => 'b@bid4cars.com.na',
						'password'     => '123',
						'firstName'    => 'Bob',
						'familyName'   => 'Pendleton',
						'idNumber'     => '7001012020008',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27821234567',
						'company'      => self::getReference('Company.B4CSeller'),
						'permissions'  => self::getReference('Permissions.DealerShipManagerUsed')
				),
				'Profile.Fluke' => array(
						'email'        => 'c@bid4cars.com.na',
						'password'     => '123',
						'firstName'    => 'Fluke',
						'familyName'   => 'Luke',
						'idNumber'     => '7001012020008',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27821234567',
						'company'      => self::getReference('Company.B4CSeller'),
						'permissions'  => self::getReference('Permissions.DealerShipValuator')
				),
				'Profile.Blank' => array(
						'email'        => 'd@bid4cars.com.na',
						'password'     => '123',
						'firstName'    => 'Blank',
						'familyName'   => 'Bloke',
						'idNumber'     => '7001012020008',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27821234567',
						'company'      => self::getReference('Company.B4CSeller'),
						'permissions'  => self::getReference('Permissions.DealershipSales')
				),
				'Profile.Bloke' => array(
						'email'        => 'a@amh.com',
						'password'     => '123',
						'firstName'    => 'Some',
						'familyName'   => 'Bloke',
						'idNumber'     => '7001012020007',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27821234567',
						'company'      => self::getReference('Company.AmhSeller'),
						'permissions'  => self::getReference('Permissions.TraderUser')
				),
				'Profile.Sue' => array(
						'email'        => 'b@amh.com',
						'password'     => '123',
						'firstName'    => 'Sue',
						'familyName'   => 'Jackson',
						'idNumber'     => '7001012020006',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27821234567',
						'company'      => self::getReference('Company.AmhSeller'),
						'permissions'  => self::getReference('Permissions.DealerShipValuator')
				),
				array(
						'email'        => 'a@independant.com',
						'password'     => '123',
						'firstName'    => 'Janine',
						'familyName'   => 'Tweed',
						'idNumber'     => '7001012020005',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27821234567',
						'company'      => self::getReference('Company.IndependantBuyer'),
						'permissions'  => self::getReference('Permissions.DealerShipManagerNew')
				),
				array(
						'email'        => 'b@independant.com',
						'password'     => '123',
						'firstName'    => 'Some',
						'familyName'   => 'Lady',
						'idNumber'     => '7001012020004',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27821234567',
						'company'      => self::getReference('Company.IndependantBuyer'),
						'permissions'  => self::getReference('Permissions.DealershipSales')
				),
				'Profile.Dave' => array(
						'email'        => 'dave@bid4cars.com.na',
						'password'     => '123',
						'firstName'    => 'Dave',
						'familyName'   => 'Thomas',
						'idNumber'     => '7001012020009',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27833248462',
						'company'      => self::getReference('Company.Dave'),
						'permissions'  => self::getReference('Permissions.DealerShipManagerUsed')
				),
				'Profile.Shane' => array(
						'email'        => 'shanek@bid4cars.com.na',
						'password'     => '123',
						'firstName'    => 'Shane',
						'familyName'   => 'Kruger',
						'idNumber'     => '7001012020009',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27827778995',
						'company'      => self::getReference('Company.Dave'),
						'permissions'  => self::getReference('Permissions.DealershipSales')
				),
				'Profile.Byron' => array(
						'email'        => 'tc@auctions.com',
						'password'     => '123',
						'firstName'    => 'Trade',
						'familyName'   => 'Center',
						'idNumber'     => '7001012020008',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27826039258',
						'company'      => self::getReference('Company.Byron'),
						'permissions'  => self::getReference('Permissions.TradeCenterUser')
				),
				'Profile.Admin' => array(
						'email'        => 'admin@bid4cars.co.za',
						'password'     => '123',
						'firstName'    => 'Full',
						'familyName'   => 'Administrator',
						'idNumber'     => '7001012020008',
						'dateOfBirth'  => new \DateTime('1970-01-01'),
						'mobile'       => '+27826039258',
						'company'      => self::getReference('Company.B4CSeller'),
						'permissions'  => self::getReference('Permissions.Administrator')
				)
		));
	}

}